## org.eclipse.emf.common.util
Class WrappedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.emf.common.util.WrappedException

All Implemented Interfaces:
  java.io.Serializable

    public class WrappedException

extends java.lang.RuntimeException

A runtime exception that wraps another exception.

See Also:
  Serialized Form

Constructor Summary
`WrappedException(java.lang.Exception exception)` Creates an instance that wraps the exception.
`WrappedException(java.lang.String message, java.lang.Exception exception)` Creates an instance with it's own message that wraps the exception.

Method Summary
`java.lang.Exception` `exception()` Returns the wrapped exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrappedException

    public WrappedException(java.lang.Exception exception)

  Creates an instance that wraps the exception.

### WrappedException

    public WrappedException(java.lang.String message,
                            java.lang.Exception exception)

  Creates an instance with it's own message that wraps the exception.

  Parameters:
    `message` - the message.
    `exception` - the exception to wrap.

Method Detail

### exception

    public java.lang.Exception exception()

  Returns the wrapped exception.

  Returns:
    the wrapped exception.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.